> ## Documentation Index
> Fetch the complete documentation index at: https://ekacare-durgesh-output-language.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Medications

> This endpoint returns suggested/similar drugs from the Eka medical database for the given parameters - drug name, generics, form or volume.
Suggestions are ranked based on similarity and also popularity (custom eka metric) of the medicine



## OpenAPI

````yaml get /eka-mcp/medications/v1/search
openapi: 3.1.0
info:
  title: MCP Eka Assist API
  description: Eka Assist documentation
  version: 1.0.0
  contact:
    name: Nikhil
    url: https://eka.care/
    email: nikhil.kasukurthi@eka.care
servers:
  - url: https://api.dev.eka.care
    description: Staging Server
  - url: https://api.eka.care
    description: Prod Server
security:
  - BearerAuth: []
tags:
  - name: protocols
  - name: medications
  - name: pharmacology
  - name: snomed
paths:
  /eka-mcp/medications/v1/search:
    get:
      tags:
        - medications
      summary: Search Medications
      description: >-
        This endpoint returns suggested/similar drugs from the Eka medical
        database for the given parameters - drug name, generics, form or volume.

        Suggestions are ranked based on similarity and also popularity (custom
        eka metric) of the medicine
      parameters:
        - name: drug_name
          in: query
          schema:
            anyOf:
              - type: string
              - type: 'null'
            default: null
            description: The segmented branded name of the medicine like Glim 1mg
            title: Drug Name
          required: false
          description: The segmented branded name of the medicine like Glim 1mg
        - name: form
          in: query
          schema:
            anyOf:
              - type: string
              - type: 'null'
            default: null
            description: The form of the medicine like Tablet, Syrup
            title: Form
          required: false
          description: The form of the medicine like Tablet, Syrup
        - name: generic_names
          in: query
          schema:
            anyOf:
              - type: string
              - type: 'null'
            default: null
            description: >-
              The generic name of the medicine like 'Glimeperide', 'Metformin'.
              In case of compound generics, pass the name only with comma
              separated like Glimeperide, Metformin
            title: Generic Names
          required: false
          description: >-
            The generic name of the medicine like 'Glimeperide', 'Metformin'. In
            case of compound generics, pass the name only with comma separated
            like Glimeperide,Metformin
        - name: volumes
          in: query
          schema:
            anyOf:
              - type: string
              - type: 'null'
            default: null
            description: >-
              The volume of the drug name or generic composition like
              '650','1000','500'
            title: Volumes
          required: false
          description: >-
            The volume of the drug name or generic composition like
            '650','1000','500'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MedicationList.a9993e3'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericErr.82b01e4'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericErr.82b01e4'
components:
  schemas:
    MedicationList.a9993e3:
      items:
        $ref: '#/components/schemas/MedicationList.a9993e3.Medication'
      title: MedicationList
      type: array
    GenericErr.82b01e4:
      properties:
        error:
          title: Error
          type: string
      required:
        - error
      title: GenericErr
      type: object
    MedicationList.a9993e3.Medication:
      properties:
        name:
          title: Name
          type: string
        generic_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Generic Name
        manufacturer_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Manufacturer Name
        product_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Product Type
      required:
        - name
        - generic_name
        - manufacturer_name
        - product_type
      title: Medication
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Enter JWT token

````